Re: Add-on Updater 21.10 (mandatory update) released #addonrelease


Dan Beaver
 

Thank you Joseph,  the version you told us about fixes this problem on my system.  I hope it fixes it for all.


Dan Beaver

On 10/2/2021 12:21 PM, Chris via groups.io wrote:

 

And a big thank you to Joseph for his quick response in releasing a resolution to this issue

 

Thank you

 

 

From: Joseph Lee
Sent: 02 October 2021 14:21
To: nvda@nvda.groups.io
Subject: [nvda] Add-on Updater 21.10 (mandatory update) released #AddonRelease

 

Hi all,

First, thank you for reporting add-on update error messages. The issue was traced to NVDA not looking for the correct SSL error, possibly caused by expired root certificate from Let’s Encrypt. As a result, Add-on Updater 21.10 was just released (manual download for now):

https://github.com/josephsl/addonUpdater/releases/download/21.10/addonUpdater-21.10.nvda-addon

 

IMPORTANT: Add-on Updater 21.10 is a MANDATORY update to anyone using NVDA 2021.1 or later. I cannot backport this to earlier NVDA releases as the add-on uses features introduced in NVDA 2021.1.

 

In addition to fixing SSL certificate verification error, Add-on Updater 21.10 makes it possible to check for add-on updates after you perform a clean Windows installation without connecting to the Internet and then go online afterwards. This change comes from upcoming NVDA 2021.3 (alpha snapshots at the moment).

 

I advise applying this update as soon as possible – for now after installing Add-on Updater 21.10, ignore an offer from Add-on Updater to install Add-on Updater 21.09 – I will update this thread once Add-on Updater 21.10 is indeed offered.

Cheers,

Joseph

 

-- 
Dan Beaver (KA4DAN)

Join nvda@nvda.groups.io to automatically receive all group messages.